Posts Tagged ‘Sensor Andrew Compilation OSX Linux’

Statuses

Compilation issues

In Uncategorized on October 6, 2009 by salvadormrf Tagged:

– Searched on how to get cpu temperature from macmini server with bash script

– The single solution i found was an cmd line tool extracted from hwmonitor application contents.

– Tried to install soxlib and sox cmd line tools, just to send some sensor data to XMPP server

checking for arpa/nameser_compat.h… yes
checking what warning flags to pass to the C compiler…
checking for tm_gmtoff in struct tm… yes
checking for LOUDMOUTH… ./configure: line 21239: no: command not found
configure: error: Package requirements (glib-2.0 >= 2.4.0) were not met:
./configure: line 21247: no: command not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LOUDMOUTH_CFLAGS
and LOUDMOUTH_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

– Since to compile was giving serious problems in osx,  i tested on max server, running linux.

on compiling soxlib i get this warnings

gcc34 -L. -L/usr/lib/ -L/home/a2032005/lsys/lib/ -lglib-2.0 -lgthread-2.0 -lloudmouth-1 -lgcrypt -shared -W1,-soname,libsox.so.1 -o libsox.so soxlib.o -lglib-2.0 -lgthread-2.0 -lloudmouth-1 -lgcrypt
/usr/bin/ld: skipping incompatible /usr/lib//libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/lib//libc.a when searching for -lc

compiles, but when im compiling sox cmd line tools, soxlib cant find libloudmouth

so using ldd to list libraries dependencies,  we found that soxlib.so cannot find libloudmouth

[a2032005@max lib_c]$ ldd libsox.so
libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002b05066f4000)
libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002b0506992000)
libloudmouth-1.so.0 => not found
libgcrypt.so.11 => /usr/lib64/libgcrypt.so.11 (0x00002b0506b97000)
libc.so.6 => /lib64/libc.so.6 (0x00002b0506de4000)
librt.so.1 => /lib64/librt.so.1 (0x00002b050713a000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00002b0507344000)
libgpg-error.so.0 => /usr/lib64/libgpg-error.so.0 (0x00002b050755f000)
libnsl.so.1 => /lib64/libnsl.so.1 (0x00002b0507762000)
/lib64/ld-linux-x86-64.so.2 (0x00000036b1800000)

– looked for solutions for this, and tried but no luck (its gcc on 64 related issue)

Advertisements